Name:		scram
Version:	0.13.0
Release:	1%{?dist}
Summary:	Probabilistic Risk Analysis Tool
Group:		Applications/Engineering

License:	GPLv3+
Url:		https://scram-pra.org
Source0:	https://github.com/rakhimov/scram/archive/%{version}.tar.gz
Source1:	%{name}.1

BuildRequires:	cmake >= 2.8.12
BuildRequires:	boost-devel >= 1.58.0
BuildRequires:	libxml++-devel >= 2.38.1
BuildRequires:	gperftools-devel

%description
A command line probabilistic risk analysis tool
capable of performing event tree analysis,
static fault tree analysis,
analysis with common cause failure models,
probability calculations with importance analysis,
and uncertainty analysis with Monte Carlo simulations.

%prep
%setup -q

%build
mkdir build && cd build
%cmake .. \
	-DBUILD_SHARED_LIBS=OFF \
	-DINSTALL_LIBS=OFF \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
	-DBUILD_GUI=OFF \
	-DBUILD_TESTS=OFF
%make_build

%install
(cd build && make install DESTDIR=%{buildroot})
install -p -D -m 644 %{SOURCE1} -t %{buildroot}/%{_mandir}/man1/
install -p -D -m 644 scripts/scram.sh %{buildroot}/%{_datadir}/bash-completion/completions/scram

%files
%doc doc/*
%license LICENSE
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/scram/
%{_datadir}/bash-completion/completions/scram

%changelog
* Fri May 12 2017 Olzhas Rakhimov <ol.rakhimov@gmail.com> - 0.13.0-1
- Update to new upstream 0.13.0
- Change the tarball source to GitHub
- Bump Boost min version to 1.58
- Include help2man generated man page

* Sun Mar 19 2017 Olzhas Rakhimov <ol.rakhimov@gmail.com> - 0.12.0-1
- Initial RPM Package
